//
import java.io.IOException;
public class Koa {
    public static void main(String[] args) throws IOException {
       // TODO code application logic here
       java.io.BufferedReader r = new java.io.BufferedReader (new java.io.InputStreamReader (System.in));
       String[] s=r.readLine().split(" ");
       int n=Integer.parseInt(s[0]);
       int m=Integer.parseInt(s[1]);
       s=r.readLine().split(" ");
       int[] d=new int[n];
       int sk=0;
       int sum=0;
       for(int i=0;i<n;i++){
           d[i]=Integer.parseInt(s[i]);
           sum=sum+d[i];
       }
       int v=sum/2+1;
       
    }
    
}
